Subject: bug#45303: #45303 [feature/native-comp] building error on Windows

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Dec 2020 16:24:05 +0200

> From: edouard debry <[email-masked]>
> Date: Sat, 26 Dec 2020 15:02:54 +0100
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked], [email-masked]
> 
> and added the absolute path of "/mingw64/bin" to the emacs exec-path.

What does this mean, exactly?  IOW, how did you add this directory to
exec-path, and why did you need to do it?

First, "/mingw64/bin" is not a valid Windows absolute file name, since
it lacks the drive letter.

And second, Emacs's startup code expects the directories where Emacs
should look for programs to be mentioned in the system-wide PATH
variable.  If your PATH doesn't include /mingw64/bin, then you should
add it (assuming that there are program files there that Emacs is
supposed to find and use).

> Outside of mingw64, If I just click on bin/emacs.exe I get a console message :
> 
> Warning: arch-dependent data dir '%emacs_dir%/libexec/emacs/28.0.50/x86_64-w64-mingw32/': No such
> file or directory
> 
> and an emacs abort dialog.
> 
> If I launch emacs on the command line from within a mingw64 shell, it runs well.

Is this specific to the native-comp branch, or does it also happen if
you build and install the master branch?